import {CommonModule} from "@angular/common";
import {NgModule} from "@angular/core";
import {FormsModule} from "@angular/forms";
import {RouterModule} from "@angular/router";
import {PreviousRouteRecorder} from "../openaireLibrary/utils/piwik/previousRouteRecorder.guard";
import {BreadcrumbsModule} from "../openaireLibrary/utils/breadcrumbs/breadcrumbs.module";
import {RefineFieldResultsServiceModule} from "../openaireLibrary/services/refineFieldResultsService.module";
import {LoadingModule} from "../openaireLibrary/utils/loading/loading.module";

import {SdgRoutingModule} from './sdg-routing.module';
import {SdgComponent} from './sdg.component';

@NgModule({
	imports: [
		CommonModule, FormsModule, RouterModule,
		SdgRoutingModule, BreadcrumbsModule, RefineFieldResultsServiceModule,
		LoadingModule
	],
	declarations: [
		SdgComponent
	],
	providers: [
		PreviousRouteRecorder
	],
	exports: [
		SdgComponent
	]
})
export class SdgModule {

}